
            /*  graftext.h,  Graphics Text Header File  */

            /*      Copyright (c) 1990, John Ryon       */

#ifndef  __USE_BGI_TEXT__

#define  setusercharsize SetUserCharSize
#define  textwidth       TextWidth
#define  gettextsize     GetTextSize
#define  settextsize     SetTextSize
#define  setemsize       SetEmSize
#define  settextstyle    SetTextStyle
#define  outtext         OutText
#define  outtextxy       OutTextXY
#define  outtextwh       OutTextWH
#define  outtextxywh     OutTextXYWH

#endif

typedef unsigned char uchar;

void SetCharRange( uchar NewFirstChar, uchar NewLastChar );

void SetUserCharSize( int NewXMul, int NewXDiv, int NewYMul, int NewYDiv );

int TextWidth( char *Text );

void GetTextSize( char *Text, int *Wide, int *High );

void SetTextSize( char *Text, int Wide, int High );

void SetEmSize( int Wide, int High );


void SetTextStyle( int NewFont, int NewDirection, int NewSize );


void OutTextXY( int I, int J, char *Text );

void OutText( char *Text );

void OutTextWH( int Wide, int High, char *Text );

void OutTextXYWH( int I, int J, int Wide, int High, char *Text );

